Bug 904290 - [abrt] libreoffice-core-3.6.3.2-8.fc18: SdrPage::TRG_GetMasterPage: Process /usr/lib64/libreoffice/program/soffice.bin was killed by signal 11 (SIGSEGV)
[abrt] libreoffice-core-3.6.3.2-8.fc18: SdrPage::TRG_GetMasterPage: Process /...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: libreoffice (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Caolan McNamara
Fedora Extras Quality Assurance
abrt_hash:d3648143ff886eff30802f8011e...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-01-25 19:03 EST by randyhunt1981
Modified: 2013-02-28 07:59 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-28 07:59:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (46.50 KB, text/plain)
2013-01-25 19:03 EST, randyhunt1981
no flags Details
File: cgroup (128 bytes, text/plain)
2013-01-25 19:03 EST, randyhunt1981
no flags Details
File: core_backtrace (2.79 KB, text/plain)
2013-01-25 19:03 EST, randyhunt1981
no flags Details
File: dso_list (23.29 KB, text/plain)
2013-01-25 19:03 EST, randyhunt1981
no flags Details
File: environ (2.27 KB, text/plain)
2013-01-25 19:03 EST, randyhunt1981
no flags Details
File: limits (1.29 KB, text/plain)
2013-01-25 19:03 EST, randyhunt1981
no flags Details
File: maps (113.07 KB, text/plain)
2013-01-25 19:03 EST, randyhunt1981
no flags Details
File: open_fds (583 bytes, text/plain)
2013-01-25 19:03 EST, randyhunt1981
no flags Details
File: proc_pid_status (946 bytes, text/plain)
2013-01-25 19:03 EST, randyhunt1981
no flags Details
File: smolt_data (6.03 KB, text/plain)
2013-01-25 19:04 EST, randyhunt1981
no flags Details
File: var_log_messages (683 bytes, text/plain)
2013-01-25 19:04 EST, randyhunt1981
no flags Details

  None (edit)
Description randyhunt1981 2013-01-25 19:03:42 EST
Description of problem:
I was editing a master template, trying to add a background gradient to the title text

Version-Release number of selected component:
libreoffice-core-3.6.3.2-8.fc18

Additional info:
backtrace_rating: 4
cmdline:        /usr/lib64/libreoffice/program/soffice.bin --impress /home/rhunt/Documents/git4sysadmin.odp --splash-pipe=6
crash_function: SdrPage::TRG_GetMasterPage
executable:     /usr/lib64/libreoffice/program/soffice.bin
kernel:         3.7.2-204.fc18.x86_64
remote_result:  NOTFOUND
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 SdrPage::TRG_GetMasterPage at /usr/src/debug/libreoffice-3.6.3.2/svx/source/svdraw/svdpage.cxx:1724
 #1 sd::DrawViewShell::SwitchPage at /usr/src/debug/libreoffice-3.6.3.2/sd/source/ui/view/drviews1.cxx:948
 #2 sd::slidesorter::controller::CurrentSlideManager::SetCurrentSlideAtViewShellBase at /usr/src/debug/libreoffice-3.6.3.2/sd/source/ui/slidesorter/controller/SlsCurrentSlideManager.cxx:216
 #3 sd::slidesorter::controller::CurrentSlideManager::SwitchPageCallback at /usr/src/debug/libreoffice-3.6.3.2/sd/source/ui/slidesorter/controller/SlsCurrentSlideManager.cxx:312
 #4 Timer::ImplTimerCallbackProc at /usr/src/debug/libreoffice-3.6.3.2/vcl/source/app/timer.cxx:143
 #5 CallCallback at /usr/src/debug/libreoffice-3.6.3.2/vcl/inc/saltimer.hxx:66
 #6 sal_gtk_timeout_dispatch at /usr/src/debug/libreoffice-3.6.3.2/vcl/unx/gtk/app/gtkdata.cxx:858
 #10 g_main_context_iteration at gmain.c:3351
 #11 GtkData::Yield at /usr/src/debug/libreoffice-3.6.3.2/vcl/unx/gtk/app/gtkdata.cxx:601
 #12 ImplYield at /usr/src/debug/libreoffice-3.6.3.2/vcl/source/app/svapp.cxx:451
Comment 1 randyhunt1981 2013-01-25 19:03:45 EST
Created attachment 687755 [details]
File: backtrace
Comment 2 randyhunt1981 2013-01-25 19:03:47 EST
Created attachment 687756 [details]
File: cgroup
Comment 3 randyhunt1981 2013-01-25 19:03:49 EST
Created attachment 687757 [details]
File: core_backtrace
Comment 4 randyhunt1981 2013-01-25 19:03:51 EST
Created attachment 687758 [details]
File: dso_list
Comment 5 randyhunt1981 2013-01-25 19:03:53 EST
Created attachment 687759 [details]
File: environ
Comment 6 randyhunt1981 2013-01-25 19:03:54 EST
Created attachment 687760 [details]
File: limits
Comment 7 randyhunt1981 2013-01-25 19:03:56 EST
Created attachment 687761 [details]
File: maps
Comment 8 randyhunt1981 2013-01-25 19:03:57 EST
Created attachment 687762 [details]
File: open_fds
Comment 9 randyhunt1981 2013-01-25 19:03:59 EST
Created attachment 687763 [details]
File: proc_pid_status
Comment 10 randyhunt1981 2013-01-25 19:04:00 EST
Created attachment 687764 [details]
File: smolt_data
Comment 11 randyhunt1981 2013-01-25 19:04:01 EST
Created attachment 687765 [details]
File: var_log_messages
Comment 12 David Tardon 2013-01-30 05:52:21 EST
Is it reproducible? If yes, could you post a step-by-step reproduction guide here?

Note You need to log in before you can comment on or make changes to this bug.